> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Progress

> Get voting progress for an anonymous seat.



## OpenAPI

````yaml /openapi.json get /v1/v/{token}/progress
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/v/{token}/progress:
    get:
      tags:
        - Voting Sessions
      summary: Get Session Progress
      description: Get voting progress for an anonymous seat.
      operationId: get_session_progress_v1_v__token__progress_get
      parameters:
        - in: path
          name: token
          required: true
          schema:
            title: Token
            type: string
        - description: 'Deprecated: use X-Voter-Token header'
          in: query
          name: voter_token
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Deprecated: use X-Voter-Token header'
            title: Voter Token
        - in: header
          name: X-Voter-Token
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Voter-Token
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionProgressResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - {}
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    SessionProgressResponse:
      description: Progress information for anonymous voter.
      properties:
        audience:
          default: public
          enum:
            - public
            - internal
          title: Audience
          type: string
        experiment_name:
          title: Experiment Name
          type: string
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        is_authenticated:
          default: false
          title: Is Authenticated
          type: boolean
        login_required:
          default: false
          title: Login Required
          type: boolean
        max_votes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Votes
        participant_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Participant Label
        participant_mode:
          anyOf:
            - enum:
                - anonymous
                - transferred
                - authenticated
                - linked_requires_login
              type: string
            - type: 'null'
          title: Participant Mode
        participant_required:
          default: false
          title: Participant Required
          type: boolean
        session_name:
          title: Session Name
          type: string
        votes_cast:
          title: Votes Cast
          type: integer
      required:
        - votes_cast
        - max_votes
        - session_name
        - experiment_name
      title: SessionProgressResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````